/* SiME Callbacks */

/* Copyright 2021 Kazuo K.
 * SiME is licensed under the MIT license. You should have
 * received a copy of the license with your distribution.
 */

#ifndef CALLBACKS
#define CALLBACKS

/*  Generic Events  */
void  cut_copy_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_paste_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_undo_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_keypress_CB(Widget w, XtPointer client_data, XtPointer call_data);

/*  File Events  */
void  gui_save_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_saveas_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_openload_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_browse_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_new_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_quit_CB(Widget w, XtPointer client_data, XtPointer call_data);

/*  Help Events  */
void  gui_help_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_help_sel_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_help_conf_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_cs_help_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_undo_cs_help_CB(Widget w, XtPointer client_Data, XtPointer call_data);

/*  Option Events  */
void  gui_restore_conf_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_cancel_conf_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_save_conf_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_ok_conf_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_autosave_time_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_toggle_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_setup_CB(Widget w, XtPointer client_data, XtPointer call_data);

/* Search Events */
void  gui_jumpto_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_replace_it_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_replace_all_it_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_search_repl_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_undo_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  search_selectiononly_CB(Widget w, XtPointer client_data, XtPointer call_data);
void  gui_match_CB(Widget w, XtPointer client_data, XtPointer call_data);

#endif
