
#ifndef GLOBALS
#define GLOBALS

typedef struct {
   char   ext[16];	/* filename extension */
   int    ww;		/* wordwrap flag */
   int    ai;		/* autoindent flag */
} ExtMode;

extern XtAppContext	app_context;

/* Widgets */
extern Widget	toplevel, text_canvas, statusBar;

extern Widget	jumpMenuText,
		undoMenuPB,redoMenuPB,replaceMenuPB,
		searchMenuText,replaceMenuText;

/* Popups */
extern Widget	configPopUp,
		autosavetimeText,printerText,
		autosaveTB, backupTB, autoindTB, wordwrapTB, fileboxTB;

extern Widget 	helpPopUp,
		helpLI,helpText;
/* Variables */
extern int	 changes_counter;
extern char     *sime_path;
extern Boolean	 SelectedOnly;
extern Boolean   AutoSavePossible;
extern int	 AutoSaveTime;
extern Boolean	 AutoSave;
extern Boolean	 AutoBackup;
extern Boolean	 AutoIndent;
extern Boolean	 WordWrap;
extern Boolean	 FileBox;
extern char 	*DefaultPrinter;
extern char 	*FileName;
extern ExtMode  *extmode;
extern int       extnum;
extern Cursor	 MainCursor;
extern Cursor	 TextCursor;
extern Cursor	 TimeCursor;

#endif
